﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Diagnostics;

namespace Střelci
{
	class DebugFormListener : TraceListener
	{
		private DebugForm m_DebugForm;

		public DebugForm DebugForm
		{
			get { return m_DebugForm; }
			set { m_DebugForm = value; }
		}
	
		public DebugFormListener(DebugForm outputDebugForm)
		{
			m_DebugForm = outputDebugForm;
		}

		public override void Write(string message)
		{
			m_DebugForm.Write(message);
		}

		public override void WriteLine(string message)
		{
			m_DebugForm.WriteLine(message);
		}

		public override void Flush()
		{
			System.Windows.Forms.Application.DoEvents();
		}
	}
}
