﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

// Bude se jeste menit, aby bylo privetivejsi a uzitecnejsi.

namespace Střelci
{
	/// <summary>
	/// Představuje formulář s informací o kritické chybě.
	/// </summary>
	/// <remarks>
	/// Zobrazený dialog vrací DialogResult.Ignore nebo DialogResult.Abort.
	/// </remarks>
	partial class ErrorForm : Form
	{
		/// <summary>
		/// Vytvoří nový formulář s informací o kritické chybě.
		/// </summary>
		/// <param name="exception">Výjimka, kterou formulář popisuje.</param>
		public ErrorForm(Exception exception)
		{
			InitializeComponent();

			// titulek
			this.Text = String.Format(this.Text, Application.ProductName);
			// text zpravy
			errorLabel.Text = String.Format(errorLabel.Text, Application.ProductName);

			// popis vyjimky
			messageTextBox.Text = exception.Message;
			// techinfo
			techInfoTextBox.Text = exception.ToString();
		}
	}
}